Mailinglist Archive: opensuse-updates (145 mails)

< Previous Next >
openSUSE-RU-2018:1352-1: moderate: Recommended update for llvm4
openSUSE Recommended Update: Recommended update for llvm4
______________________________________________________________________________

Announcement ID: openSUSE-RU-2018:1352-1
Rating: moderate
References: #1092697
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

This update for llvm4 fixes the following issues:

- Do not build stage1 with debug info. It was accidentally added with the
use of %optflags. This should fix out of memory errors
on 32bit architectures and speed up build everywhere else. (boo#1092697)


Patch Instructions:

To install this openSUSE Recommended Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-475=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

clang4-4.0.1-5.1
clang4-checker-4.0.1-5.1
clang4-debuginfo-4.0.1-5.1
clang4-devel-4.0.1-5.1
libLLVM4-4.0.1-5.1
libLLVM4-debuginfo-4.0.1-5.1
libLTO4-4.0.1-5.1
libLTO4-debuginfo-4.0.1-5.1
libclang4-4.0.1-5.1
libclang4-debuginfo-4.0.1-5.1
libomp4-devel-4.0.1-5.1
libomp4-devel-debuginfo-4.0.1-5.1
lld4-4.0.1-5.1
lld4-debuginfo-4.0.1-5.1
llvm4-4.0.1-5.1
llvm4-LTO-devel-4.0.1-5.1
llvm4-debuginfo-4.0.1-5.1
llvm4-debugsource-4.0.1-5.1
llvm4-devel-4.0.1-5.1
llvm4-devel-debuginfo-4.0.1-5.1
llvm4-gold-4.0.1-5.1
llvm4-gold-debuginfo-4.0.1-5.1

- openSUSE Leap 42.3 (x86_64):

clang4-devel-32bit-4.0.1-5.1
libLLVM4-32bit-4.0.1-5.1
libLLVM4-debuginfo-32bit-4.0.1-5.1
libLTO4-32bit-4.0.1-5.1
libLTO4-debuginfo-32bit-4.0.1-5.1
libc++-devel-4.0.1-5.1
libc++1-4.0.1-5.1
libc++1-debuginfo-4.0.1-5.1
libc++abi-devel-4.0.1-5.1
libc++abi1-4.0.1-5.1
libc++abi1-debuginfo-4.0.1-5.1
libclang4-32bit-4.0.1-5.1
libclang4-debuginfo-32bit-4.0.1-5.1
liblldb4-4.0.1-5.1
liblldb4-debuginfo-4.0.1-5.1
lldb4-4.0.1-5.1
lldb4-debuginfo-4.0.1-5.1
lldb4-devel-4.0.1-5.1
llvm4-LTO-devel-32bit-4.0.1-5.1
llvm4-devel-32bit-4.0.1-5.1
llvm4-devel-debuginfo-32bit-4.0.1-5.1
python3-lldb4-4.0.1-5.1
python3-lldb4-debuginfo-4.0.1-5.1

- openSUSE Leap 42.3 (noarch):

llvm4-emacs-plugins-4.0.1-5.1
llvm4-vim-plugins-4.0.1-5.1
python3-clang-4.0.1-5.1


References:

https://bugzilla.suse.com/1092697


< Previous Next >
This Thread
  • No further messages